from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.uno import XInterface

@runtime_checkable
class XConfirmDeleteBroadcaster(XInterface, Protocol):
    def addConfirmDeleteListener(self, aListener: XConfirmDeleteListener) -> None: ...
    def removeConfirmDeleteListener(self, aListener: XConfirmDeleteListener) -> None: ...
